<?php

namespace Drupal\Tests\field_css\Unit;

use Drupal\Tests\UnitTestCase;
use Drupal\field_css\Traits\CssTrait;

/**
 * Tests CssTrait::addSelectorPrefix().
 *
 * @group field_css
 */
class SelectorPrefixTest extends UnitTestCase {

  /**
   * Tests CssTrait::addSelectorPrefix().
   *
   * Both the selector prefixing and the CSS formatting returned from
   * OutputFormat::createPretty() are verified.
   */
  public function testPrefix() {
    $prefix = '.test-prefix';
    $css_code = 'p { color: green; }' . PHP_EOL . '#id-selector .class-selector { margin: 1em; }';
    $expected_return = PHP_EOL . '.test-prefix p {' . PHP_EOL . '	color: green;' . PHP_EOL . '}' . PHP_EOL . PHP_EOL . '.test-prefix #id-selector .class-selector {' . PHP_EOL . '	margin: 1em;' . PHP_EOL . '}' . PHP_EOL;
    $actual_return = CssTrait::addSelectorPrefix($css_code, $prefix);
    $this->assertSame($expected_return, $actual_return);
  }

}
